Update to Version 23.3

(From FTM 2017 version 23.0, 23.1 or 23.2)

BEFORE YOU UPDATE

Make sure a previous version is installed. The update installer will look for FTM 2017 version 23.0 (build 343), 23.1 (build 480) or 23.2 (build 540) before running.

WHO SHOULD UPDATE

This update is REQUIRED for all users of FTM 2017. It contains important updates for:

  • Data Security (same as built into FTM 2019)
  • Compatibility with Ancestry and FamilySearch
  • Enabling a return to green sync weather
  • Important fixes (as many of those made in FTM 2019 as we could)

LEARN MORE

For more information about the 23.3 update, including instructions for backing up your trees, update installation instructions and troubleshooting, click here.

GETTING THE 23.3 UPDATER

Fill out the form below and we'll verify that you own a copy of FTM 2017. Then we'll generate a unique download link for your copy of the update installer which will appear on the last screen and also be sent by email.


* Required fields